Subject: Re: [PATCH v4 0/2] credential: improvements to erase in helpers

From: Junio C Hamano <[email-masked]>
Date: Thu, 15 Jun 2023 14:52:11 -0700

Jeff King <[email-masked]> writes:

> On Thu, Jun 15, 2023 at 02:09:15PM -0700, Junio C Hamano wrote:
>
>> "M Hickford via GitGitGadget" <[email-masked]> writes:
>> 
>> > M Hickford (2):
>> >   credential: avoid erasing distinct password
>> >   credential: erase all matching credentials
>> >
>> >  Documentation/git-credential.txt   |   2 +-
>> >  Documentation/gitcredentials.txt   |   2 +-
>> >  builtin/credential-cache--daemon.c |  17 +++--
>> >  builtin/credential-store.c         |  15 +++--
>> >  credential.c                       |   7 +-
>> >  credential.h                       |   2 +-
>> >  t/lib-credential.sh                | 103 +++++++++++++++++++++++++++++
>> >  7 files changed, 128 insertions(+), 20 deletions(-)
>> 
>> It is helpful to reviewers to describe/summarize, in your own words,
>> what changed since the previous version, in the cover letter.
>> 
>> The range-diff generated for the versions can serve as a good
>> supporting material, and it would help you while writing that
>> summary, but not a substitute for the summary.
>
> Yeah, I agree that would have made reviewing much easier. :)
>
> That said, I just re-reviewed the patches themselves, and everything now
> looks good to me.

I missed that you suggested fixing the indentation breakage
introduced in the previous round, and the part of the range-diff,
which was unexpected to me because I lacked the context, was
distracting enough that I missed other changes X-<.  

But the end result does look good to me, too.

Thanks.